cgGetStateSetCallback(3)

NAME
cgGetStateSetCallback - get the state setting callback function for a state

SYNOPSIS
  #include <Cg/cg.h>

  CGstatecallback cgGetStateSetCallback( CGstate state );

PARAMETERS

state
    The state from which to retrieve the callback.

RETURN VALUES
Returns a pointer to the state setting callback function.

Returns NULL if state is not a valid state or if it has no callback.

DESCRIPTION
cgGetStateSetCallback returns the callback function used for setting the state when the given state is encountered in a pass in a technique. See cgSetStateCallbacks for more information.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

HISTORY
cgGetStateSetCallback was introduced in Cg 1.4.

SEE ALSO
cgSetStateCallbacks, cgCallStateSetCallback, cgSetPassState